{ config, lib, pkgs, ... }:

let cfg = config.sydnix.bluetooth;
in {
  options.sydnix.bluetooth = {
    enable = lib.mkEnableOption "BlueTooth";
  };

  config = lib.mkIf cfg.enable {
    services.blueman.enable = true;

    hardware.bluetooth = {
      enable = true;
      powerOnBoot = true;
      settings = {
        General = {
          # Show battery charge of Bluetooth devices
          Experimental = true;
        };
      };
    };
  };
}
